## gradio 0.9.8pre

=== Makefile ===
# If you want the standard cyan-on-black LED color display,
# change this to STD_COLOR. You can also change colors in pixmaps.h
COLOR	= NO_STD_COLOR
#COLOR	= STD_COLOR

# If you want gradio to run setuid root (that is, if your kernel does
# not support radio cards, or does not recognize yours), change this to 1
# and uncomment the -DNO_KERNEL line as well.
SUID	= 0
#SUID	= 1


# The directory into which you want the binary installed
INSTALLDIR 	= /usr/local/bin
#INSTALLDIR	= /usr/bin
#INSTALLDIR	= .

# These should be OK ---------------------------------------

CC	= pgcc
CFLAGS	= $(shell gtk-config --cflags) -g -O2 -Wall
LIBS	= $(shell gtk-config --libs)
SRCS	= ui.c gradio-main.c callbacks.c interface.c lowlevel.c
OBJS	= $(SRCS:.c=.o)
HDRS	= gradio.h pixmaps.h logo.h
DEFS	= -D$(COLOR)

all: $(SRCS) $(HDRS) $(OBJS)
	$(CC) -o gradio $(OBJS) $(CFLAGS) $(LIBS)

ifneq ($(SUID), 1)
install: gradio
	cp gradio $(INSTALLDIR)
endif

ifeq ($(SUID), 1)
install: gradio
	cp gradio $(INSTALLDIR)
	chown root.root $(INSTALLDIR)/gradio
	chmod 755 $(INSTALLDIR)/gradio
	chmod u+s $(INSTALLDIR)/gradio
endif

.c.o: $(HDRS)
	$(CC) -c $(CFLAGS) $(DEFS) $<
 
clean:
	rm -f *.o gradio *~ core

## gradio 1.0.0

=== Makefile ===
# If you want the standard cyan-on-black LED color display,
# change this to STD_COLOR. You can also change colors in pixmaps.h
COLOR	= NO_STD_COLOR
#COLOR	= STD_COLOR

# If your 2.[12] kernel headers aren't in /usr/include(/linux),
# you'll need to specify their location here.
#KERNELINCS	= /usr/src/linux/include

# The directory into which you want to install
INSTALLROOT 	= /usr/local

# The directories in which the binary and man page should
# be installed.
BINDIR		= $(INSTALLROOT)/bin
MANDIR		= $(INSTALLROOT)/man/man1

# The device to access by default (can be changed at runtime)
DEVICE		= /dev/radio

# These should be OK ---------------------------------------

CC	= cc
ALL_CFLAGS	= $(shell gtk-config --cflags) -O2 -Wall $(CFLAGS) $(KERNELINCS)
LIBS	= $(shell gtk-config --libs)
SRCS	= ui.c gradio-main.c callbacks.c interface.c lowlevel.c
OBJS	= $(SRCS:.c=.o)
HDRS	= gradio.h pixmaps.h logo.h
DEFS	= -D$(COLOR) -DDEV_NAME=\"$(DEVICE)\"

all: $(SRCS) $(HDRS) $(OBJS)
	$(CC) -o gradio $(OBJS) $(ALL_CFLAGS) $(LIBS)

install: gradio
	cp gradio $(BINDIR)
	cp gradio.1 $(MANDIR)

.c.o: $(HDRS)
	$(CC) -c $(ALL_CFLAGS) $(DEFS) $<

clean:
	rm -f *.o gradio *~ core

## gradio 1.0.1

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,16 @@
 # change this to STD_COLOR. You can also change colors in pixmaps.h
 COLOR	= NO_STD_COLOR
 #COLOR	= STD_COLOR
+
+# If you live in Japan (or possibly elsewhere), you will need to uncomment
+# one or both. GRadio uses driver-reported allowable frequency ranges, but
+# not all drivers report these properly. Defining this sets a wider range
+# of allowable frequencies; if your hardware cannot actually do this, the
+# results may be unpredictable. WIDE_FREQ uses driver returns if possible,
+# otherwise it uses a wider-than-normal (76.1-108.9 MHz) range. Setting
+# OVERRIDE_FREQ will cause the driver-supplied values to be ignored.
+#CFLAGS		+= -DWIDE_FREQ
+#CFLAGS		+= -DOVERRIDE_FREQ
 
 # If your 2.[12] kernel headers aren't in /usr/include(/linux),
 # you'll need to specify their location here.
@@ -21,7 +31,7 @@
 # These should be OK ---------------------------------------
 
 CC	= cc
-ALL_CFLAGS	= $(shell gtk-config --cflags) -O2 -Wall $(CFLAGS) $(KERNELINCS)
+ALL_CFLAGS	= $(shell gtk-config --cflags) -O2 -Wall $(CFLAGS) -I$(KERNELINCS)
 LIBS	= $(shell gtk-config --libs)
 SRCS	= ui.c gradio-main.c callbacks.c interface.c lowlevel.c
 OBJS	= $(SRCS:.c=.o)

## gradio 5.0

=== po/Makefile ===
# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
# Copyright (C) 2004-2008 Rodney Dawes <dobey.pwns@gmail.com>
#
# This file may be copied and used freely without restrictions.  It may
# be used in projects which are not available under a GNU Public License,
# but which still want to provide support for the GNU gettext functionality.
#
# - Modified by Owen Taylor <otaylor@redhat.com> to use GETTEXT_PACKAGE
#   instead of PACKAGE and to look for po2tbl in ./ not in intl/
#
# - Modified by jacob berkman <jacob@ximian.com> to install
#   Makefile.in.in and po2tbl.sed.in for use with glib-gettextize
#
# - Modified by Rodney Dawes <dobey.pwns@gmail.com> for use with intltool
#
# We have the following line for use by intltoolize:
# INTLTOOL_MAKEFILE

GETTEXT_PACKAGE = gradio
PACKAGE = gradio
VERSION = 4.9.9

SHELL = /bin/sh

srcdir = .
top_srcdir = ..
top_builddir = ..


prefix = /home/haecker-felix/.cache/gnome-builder/install/gradio/host
exec_prefix = ${prefix}
datadir = ${datarootdir}
datarootdir = ${prefix}/share
libdir = ${exec_prefix}/lib
localedir = ${datarootdir}/locale
subdir = po
install_sh = ${SHELL} /home/haecker-felix/Dokumente/Projekte/gradio/install-sh
# Automake >= 1.8 provides $(MKDIR_P).
# Until it can be supposed, use the safe fallback:
mkdir_p = $(install_sh) -d

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644

GMSGFMT = /usr/bin/msgfmt
MSGFMT = /usr/bin/msgfmt
XGETTEXT = /usr/bin/xgettext
INTLTOOL_UPDATE = /usr/bin/intltool-update
INTLTOOL_EXTRACT = /usr/bin/intltool-extract
MSGMERGE = INTLTOOL_EXTRACT="$(INTLTOOL_EXTRACT)" XGETTEXT="$(XGETTEXT)" srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --dist
GENPOT   = INTLTOOL_EXTRACT="$(INTLTOOL_EXTRACT)" XGETTEXT="$(XGETTEXT)" srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --pot

ALL_LINGUAS = 

PO_LINGUAS=$(shell if test -r $(srcdir)/LINGUAS; then grep -v "^\#" $(srcdir)/LINGUAS; else echo "$(ALL_LINGUAS)"; fi)

USER_LINGUAS=$(shell if test -n "$(LINGUAS)"; then LLINGUAS="$(LINGUAS)"; ALINGUAS="$(ALL_LINGUAS)"; for lang in $$LLINGUAS; do if test -n "`grep \^$$lang$$ $(srcdir)/LINGUAS 2>/dev/null`" -o -n "`echo $$ALINGUAS|tr ' ' '\n'|grep \^$$lang$$`"; then printf "$$lang "; fi; done; fi)

USE_LINGUAS=$(shell if test -n "$(USER_LINGUAS)" -o -n "$(LINGUAS)"; then LLINGUAS="$(USER_LINGUAS)"; else if test -n "$(PO_LINGUAS)"; then LLINGUAS="$(PO_LINGUAS)"; else LLINGUAS="$(ALL_LINGUAS)"; fi; fi; for lang in $$LLINGUAS; do printf "$$lang "; done)

POFILES=$(shell LINGUAS="$(PO_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.po "; done)

DISTFILES = Makefile.in.in POTFILES.in $(POFILES)
EXTRA_DISTFILES = ChangeLog POTFILES.skip Makevars LINGUAS

POTFILES = \
	../data/gradio.appdata.xml.in \
	../data/gradio.desktop.in \
	../data/gradio.gschema.xml

CATALOGS=$(shell LINGUAS="$(USE_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.gmo "; done)

.SUFFIXES:
.SUFFIXES: .po .pox .gmo .mo .msg .cat

AM_DEFAULT_VERBOSITY = 0
INTLTOOL_V_MSGFMT = $(INTLTOOL__v_MSGFMT_$(V))
INTLTOOL__v_MSGFMT_= $(INTLTOOL__v_MSGFMT_$(AM_DEFAULT_VERBOSITY))
INTLTOOL__v_MSGFMT_0 = @echo "  MSGFMT" $@;

.po.pox:
	$(MAKE) $(GETTEXT_PACKAGE).pot
	$(MSGMERGE) $* $(GETTEXT_PACKAGE).pot -o $*.pox

.po.mo:
	$(INTLTOOL_V_MSGFMT)$(MSGFMT) -o $@ $<

.po.gmo:
	$(INTLTOOL_V_MSGFMT)file=`echo $* | sed 's,.*/,,'`.gmo \
	  && rm -f $$file && $(GMSGFMT) -o $$file $<

.po.cat:
	sed -f ../intl/po2msg.sed < $< > $*.msg \
	  && rm -f $@ && gencat $@ $*.msg


all: all-yes

all-yes: $(CATALOGS)
all-no:

$(GETTEXT_PACKAGE).pot: $(POTFILES)
	$(GENPOT)

install: install-data
install-data: install-data-yes
install-data-no: all
install-data-yes: all
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  dir=$(DESTDIR)$(localedir)/$$lang/LC_MESSAGES; \
	  $(mkdir_p) $$dir; \
	  if test -r $$lang.gmo; then \
	    $(INSTALL_DATA) $$lang.gmo $$dir/$(GETTEXT_PACKAGE).mo; \
	    echo "installing $$lang.gmo as $$dir/$(GETTEXT_PACKAGE).mo"; \
	  else \
	    $(INSTALL_DATA) $(srcdir)/$$lang.gmo $$dir/$(GETTEXT_PACKAGE).mo; \
	    echo "installing $(srcdir)/$$lang.gmo as" \
		 "$$dir/$(GETTEXT_PACKAGE).mo"; \
	  fi; \
	  if test -r $$lang.gmo.m; then \
	    $(INSTALL_DATA) $$lang.gmo.m $$dir/$(GETTEXT_PACKAGE).mo.m; \
	    echo "installing $$lang.gmo.m as $$dir/$(GETTEXT_PACKAGE).mo.m"; \
	  else \
	    if test -r $(srcdir)/$$lang.gmo.m ; then \
	      $(INSTALL_DATA) $(srcdir)/$$lang.gmo.m \
		$$dir/$(GETTEXT_PACKAGE).mo.m; \
	      echo "installing $(srcdir)/$$lang.gmo.m as" \
		   "$$dir/$(GETTEXT_PACKAGE).mo.m"; \
	    else \
	      true; \
	    fi; \
	  fi; \
	done

# Empty stubs to satisfy archaic automake needs
dvi info ctags tags CTAGS TAGS ID:

# Define this as empty until I found a useful application.
install-exec installcheck:

uninstall:
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  rm -f $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE).mo; \
	  rm -f $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE).mo.m; \
	done

check: all $(GETTEXT_PACKAGE).pot
	rm -f missing notexist
	srcdir=$(srcdir) $(INTLTOOL_UPDATE) -m
	if [ -r missing -o -r notexist ]; then \
	  exit 1; \
	fi

mostlyclean:
	rm -f *.pox $(GETTEXT_PACKAGE).pot *.old.po cat-id-tbl.tmp
	rm -f .intltool-merge-cache

clean: mostlyclean

distclean: clean
	rm -f Makefile Makefile.in POTFILES stamp-it
	rm -f *.mo *.msg *.cat *.cat.m *.gmo

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f Makefile.in.in

distdir = ../$(PACKAGE)-$(VERSION)/$(subdir)
dist distdir: $(DISTFILES)
	dists="$(DISTFILES)"; \
	extra_dists="$(EXTRA_DISTFILES)"; \
	for file in $$extra_dists; do \
	  test -f $(srcdir)/$$file && dists="$$dists $(srcdir)/$$file"; \
	done; \
	for file in $$dists; do \
	  test -f $$file || file="$(srcdir)/$$file"; \
	  ln $$file $(distdir) 2> /dev/null \
	    || cp -p $$file $(distdir); \
	done

update-po: Makefile
	$(MAKE) $(GETTEXT_PACKAGE).pot
	tmpdir=`pwd`; \
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  echo "$$lang:"; \
	  result="`$(MSGMERGE) -o $$tmpdir/$$lang.new.po $$lang`"; \
	  if $$result; then \
	    if cmp $(srcdir)/$$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
	      rm -f $$tmpdir/$$lang.new.po; \
            else \
	      if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
	        :; \
	      else \
	        echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
	        rm -f $$tmpdir/$$lang.new.po; \
	        exit 1; \
	      fi; \
	    fi; \
	  else \
	    echo "msgmerge for $$lang.gmo failed!"; \
	    rm -f $$tmpdir/$$lang.new.po; \
	  fi; \
	done

Makefile POTFILES: stamp-it
	@if test ! -f $@; then \
	  rm -f stamp-it; \
	  $(MAKE) stamp-it; \
	fi

stamp-it: Makefile.in.in $(top_builddir)/config.status POTFILES.in
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/Makefile.in CONFIG_HEADERS= CONFIG_LINKS= \
	       $(SHELL) ./config.status

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
gradio (5.0-1mx15+1) mx; urgency=medium

  * Rebuild for MX 15.
  * debian/control:
    - drop minimum B-D for libgtk-3-dev from 3.18 to 3.14, drop cmake, 
      libgio2.0-cil-dev, and libgee-0.8-dev build-deps.
    - add missing intltool (>= 0.50) build-depend.
    - add dependencies on all the gstreamer1.0 plugins, so everything will 
      just play OOTB.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 25 Mar 2017 10:44:15 -0700

gradio (5.0-1~getdeb2) xenial; urgency=medium

  * Fix empty package

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 14 Mar 2017 23:35:59 +0100

gradio (5.0-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 24 Dec 2016 16:47:12 +0100

gradio (4.0.1-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 30 Jul 2016 09:25:44 +0200

gradio (4.0.0-1~getdeb1) xenial; urgency=medium

  * New upstream version
    ## New Features:
    - Seperate volume control
    - Connection information (Bitrate, channel-mode, etc..)
    - New sort options for the "Discover" view

    ## Improvements:
    - Completely redesigned "Discover" view
    - Many visual changes / improvements
    - Safe the window size / position and restore 
    - Safe grid/list view

    ## Bug fixes
    - Crash when loading too much stations logos
    - Crash on Linux Mint
    - Crash on KDE 

 -- Christoph Korn <christoph.korn@getdeb.net>  Fri, 29 Jul 2016 06:58:57 +0200

gradio (3.0.2-1~getdeb1) xenial; urgency=medium

  * Initial release

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 24 Jul 2016 20:46:29 +0200

=== debian/control ===
Source: gradio
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christoph Korn <christoph.korn@getdeb.net>
Build-Depends: debhelper (>=9),
               dh-autoreconf,
               intltool (>= 0.50),
               valac (>= 0.16),
               libglib2.0-dev (>= 2.29.0),
               libgtk-3-dev (>= 3.14),
               libgstreamer1.0-dev,
               libjson-glib-dev,
               libsoup2.4-dev,
               libxml2-utils,
               libgstreamer-plugins-base1.0-dev
Standards-Version: 3.9.7
Homepage: https://github.com/haecker-felix/gradio

Package: gradio
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gstreamer1.0-plugins-bad,
         gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         gstreamer1.0-plugins-ugly
Description: Internet Radio
 GTK3 program for discovering, managing, and listening to Internet
 radio stations.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with autoreconf --parallel

override_dh_auto_test:

=== debian/watch ===
version=3
https://github.com/haecker-felix/gradio/releases \
    (?:.*/)?v([\d\.]+)\.tar\.gz

## gradio 7.0

=== debian/changelog ===
gradio (7.0-0mx17) mx; urgency=medium

  * New upstream release.

 -- Timothy E. Harris <maintainer@mxrepo.com>  Mon, 18 Dec 2017 14:57:09 -0500

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,10 @@
                libgstreamer1.0-dev,
                libjson-glib-dev,
                libsoup2.4-dev,
+               libsqlite3-dev,
                libxml2-utils,
-               libgstreamer-plugins-base1.0-dev
+               libgstreamer-plugins-base1.0-dev,
+               meson
 Standards-Version: 3.9.7
 Homepage: https://github.com/haecker-felix/gradio

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_clean:
	rm -fr build

override_dh_auto_configure:
	mkdir -p build
	cd build && meson .. --prefix=/usr

override_dh_auto_build:
	cd build && ninja -v

override_dh_auto_test:
	cd build && ninja test

override_dh_auto_install:
	DESTDIR=${CURDIR}/debian/gradio ninja -Cbuild -v install

%:
	dh $@

## gradio 7.3

=== debian/changelog ===
gradio (7.3-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Mon, 16 Sep 2019 20:16:43 +0200

=== debian/control ===
Source: gradio
Section: Multimedia
Priority: extra
Maintainer: pavroo <pavroo@onet.eu>
Build-Depends: 	debhelper (>= 8.0.0),
		valac-0.16 | valac (>= 0.16),
		libglib2.0-dev (>= 2.29.0),
		libgtk-3-dev (>= 3.18),
		libgstreamer-plugins-base1.0-dev,
		libgstreamer1.0-dev,
		libjson-glib-dev,
		libgio2.0-cil-dev,
		intltool,
		libsoup2.4-dev,
		meson,
		libsqlite3-dev
Standards-Version: 3.9.3

Package: gradio
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Internet Radio
   A GTK3 app for finding and listening to internet radio stations.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export MAKE = ninja -v
export LC_ALL=C.UTF-8

%:
	dh $@

override_dh_clean:
	dh_clean
	rm -rf debian/build

override_dh_auto_configure:
	mkdir -p debian/build
	cd debian/build && LDFLAGS="-Wl,-z,now -Wl,-z,relro" meson --buildtype plain --prefix=/usr --libdir=/usr/lib --sysconfdir=/etc ../..

override_dh_auto_build:
	cd debian/build && $(MAKE)

override_dh_auto_install:
	dh_auto_install
	cd debian/build && DESTDIR=$(CURDIR)/debian/gradio $(MAKE) install

## gradio clickabletextbox-0.0.3

=== demo/requirements.txt ===
gradio_clickabletextbox

## gradio client-0.0.6

=== requirements.txt ===
requests
websockets
packaging
fsspec
huggingface_hub>=0.13.0

## gradio client-0.0.9

=== requirements.txt ===
requests
websockets
packaging
fsspec
huggingface_hub>=0.13.0
typing_extensions
httpx

## gradio client-1.13.0

=== requirements.txt ===
fsspec
httpx>=0.24.1
huggingface_hub>=0.19.3
packaging
typing_extensions~=4.0
websockets>=10.0,<16.0

## gradio creditspanel-0.0.5

=== demo/requirements.txt ===
markdown
Pygments
gradio_creditspanel

## gradio imagemeta-0.0.4

=== demo/requirements.txt ===
gradio_imagemeta
gradio_propertysheet

## gradio livelog-0.0.2

=== demo/requirements.txt ===
--extra-index-url https://download.pytorch.org/whl/cu124
diffusers
safetensors
transformers
accelerate
gradio_livelog
torch==2.6.0+cu124
torchvision==0.21.0+cu124
torchaudio==2.6.0+cu124

## gradio livelog-0.0.6

=== demo/requirements.txt ===
diffusers
safetensors
transformers
accelerate
gradio_livelog>=0.0.2
torch
torchvision
torchaudio

## gradio mediagallery-0.0.4

=== demo/requirements.txt ===
gradio_mediagallery
gradio_folderexplorer

## gradio notebook-0.0.4

=== requirements.txt ===
# Core libraries
gradio>=4.0,<5.0
python-aiconfig>=1.1.18
aiconfig-extension-hugging-face>=0.0.6

#Uploading AIConfig to S3 and lastmile endpoints for sharing
boto3
botocore
requests

# Extra utils
asyncio

## gradio propertysheet-0.0.7

=== demo/requirements.txt ===
gradio_propertysheet
gradio_htmlinjector

## gradio simpletextextractfrompdf-0.0.3

=== demo/requirements.txt ===
gradio_simpletextextractfrompdf

## gradio textboxplus-0.0.4

=== demo/requirements.txt ===
gradio_textboxplus

## gradio topbar-0.0.2

=== demo/requirements.txt ===
gradio_topbar
